# Class CIM_DeviceAccessedByFile
extends CIM_Dependency

Specifies the LogicalDevice that is associated with, and accessed using the referenced DeviceFile.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceAccessedByFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Specifies the LogicalDevice that is associated with, and accessed using the referenced DeviceFile.
UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DeviceAccessedByFile | CIM_DeviceFile
Dependent | CIM_DeviceAccessedByFile | CIM_LogicalDevice

## Class Methods